#Starts the Kafka Connect for local file
# Watches a local file and sends any addtions to Kafka
# The local file "./connect-file-source.properties" contains the
# configuration information

export LOG_DIR=/var/log/kafka/connect
/opt/kafka_2.12-2.5.0/bin/connect-standalone.sh -daemon /opt/kafka_2.12-2.5.0/config/connect-standalone.properties ./connect-MySQL-source.properties connect-file-sink-employee.properties  
PID=$(ps auxww|grep -v grep |grep connect-file-sink-employee.properties|gawk '{print $2}')
if [ "$PID" != "" ]; then 
  echo "Connector running as process: $PID"
else
  echo "Did not start, check logs in $LOG_DIR"
fi
